#pragma once
#include "levelmanager.hpp"
#include "textures.hpp"
#include "guecs.hpp"
#include "tilemap.hpp"

namespace gui {
  class MapViewUI {
    public:
      guecs::UI $gui;
      GameLevel $level;
      textures::SpriteTexture $paper;

      MapViewUI(GameLevel &level);
      void init();
      void render(sf::RenderWindow &window, int compass_dir);
      void update_level(GameLevel &level);
  };
}
